# class Mail::ResentMessageIdField

### Constants

CAPITALIZED_FIELD
FIELD_NAME

### Public Class Methods

new(value = nil, charset = 'utf-8') click to toggle source
Calls superclass method

    # File lib/mail/fields/resent_message_id_field.rb, line 13
    def initialize(value = nil, charset = 'utf-8')
      self.charset = charset
      super(CAPITALIZED_FIELD, strip_field(FIELD_NAME, value), charset)
      self.parse
      self
    end

### Public Instance Methods

decoded() click to toggle source

    # File lib/mail/fields/resent_message_id_field.rb, line 28
    def decoded
      do_decode
    end

encoded() click to toggle source

    # File lib/mail/fields/resent_message_id_field.rb, line 24
    def encoded
      do_encode(CAPITALIZED_FIELD)
    end

name() click to toggle source

    # File lib/mail/fields/resent_message_id_field.rb, line 20
    def name
      'Resent-Message-ID'
    end